%define name    redland
%define version 1.0.2
%define release 1mdk

%define major	0
%define libname %mklibname %name %major

Summary:   	Redland RDF Application Framework
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	LGPL
Group:     	Development/Other
Source:    	http://librdf.org/dist/source/%{name}-%{version}.tar.bz2
URL:       	http://www.redland.opensource.ac.uk/
BuildRequires: 	libxml2-devel libdb-devel
BuildRequires:	w3c-libwww-devel swig MySQL-devel
BuildRequires:	rasqal-devel >= 0.9.6
BuildRequires:	raptor-devel
Requires:  	rasqal raptor
BuildRoot: 	%_tmppath/%{name}-root

%description
Redland is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.

%package -n %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n %{libname}-devel
Summary: Header files and static libraries from %name
Group: Development/Other
Requires: %{libname} >= %{version}
Provides: lib%{name}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 
Obsoletes: %name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x --with-mysql --with-raptor=system --with-rasqal=system

%install
rm -rf $RPM_BUILD_ROOT
# fix install command
perl -p -i -e 's/install\ -c/install\ -D/g' `find -name Makefile`
%makeinstall_std
cp -f librdf/*.h $RPM_BUILD_ROOT/%_includedir/

# don't include files from raptor or rasqal
cd $RPM_BUILD_ROOT
rm -f `find -name '*rapper*'` `find -name '*raptor*'` `find -name 'ntriples.h'`
rm -f `find -name '*rasqal*'` `find -name 'roqet'`

# shouldn't be needing this?
rm `find -name '*win32*'`

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/redland-config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog
%doc README NEWS LICENSE.txt
%doc *.html
%_bindir/redland-db-upgrade
%_bindir/rdfproc
%_datadir/%name
%_mandir/man1/*
%_mandir/man3/*

%files -n %libname
%defattr(-,root,root)
%_libdir/librdf.so.*

%files -n %libname-devel
%defattr(-, root, root)
%multiarch %{multiarch_bindir}/redland-config
%_bindir/redland-config
%_libdir/librdf.a
%_libdir/librdf.la
%_libdir/librdf.so
%_includedir/redland.h
%_includedir/librdf.h 
%_includedir/rdf_*.h
%_libdir/pkgconfig/*.pc

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%changelog
* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Fri Apr 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-2mdk
- rebuild for new sqlite
- add multiarch support

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 1.0.0-1mdk
- 1.0.0
- fix requires

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.19-3mdk
- rebuilt against MySQL-4.1.x system libs

* Sat Jan 22 2005 Stefan van der Eijk <stefan@mandrake.org> 0.9.19-2mdk
- rebuild

* Mon Nov 8 2004 Austin Acton <austin@mandrake.org> 0.9.19-1mdk
- 0.9.19
- move bindings to separate SRPM

* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.9.16-3mdk
- Rebuild for new curl

* Thu Jun 10 2004 Austin Acton <austin@mandrake.org> 0.9.16-2mdk
- bring back libtoolize
- configure 2.5
- add missing headers
- remove dependencies on libname

* Wed May 19 2004 Austin Acton <austin@mandrake.org> 0.9.16-1mdk
- 0.9.16

* Mon Feb 2 2004 Austin Acton <austin@mandrake.org> 0.9.15-1mdk
- 0.9.15
- libtoolize
- enable mysql
- buildrequires php-devel

* Mon Sep 15 2003 Austin Acton <aacton@yorku.ca> 0.9.14-2mdk
- rebuild

* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 0.9.14-1mdk
- 0.9.14
- enable php, mono
- specify interfaces in configure macro

* Wed Aug 27 2003 Austin Acton <aacton@yorku.ca> 0.9.12-6mdk
- move redland-config to devel package where it belongs (I'm dumb)

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.9.12-5mdk
- use db4.1 as database
- avoid deleting a needed header
- add ruby, python interfaces

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.9.12-4mdk
- don't buildrequire php-devel
- adjust a few things to keep it building

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.9.12-3mdk
- buildrequires and mklibname

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.9.12-2mdk
- use perl_vendorarch to avoid a requires bug

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.9.12-1mdk
- initial package
